%define upstream_name    HTTP-Message
%define upstream_version 6.11

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Class encapsulating HTTP Requests
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/HTTP/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Compress::Raw::Zlib)
BuildRequires: perl(Encode) >= 2.210.0
BuildRequires: perl(Encode::Locale) >= 1.0.0
BuildRequires: perl(Exporter) >= 5.570.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(HTTP::Date) >= 6.0.0
BuildRequires: perl(IO::Compress::Bzip2) >= 2.21.0
BuildRequires: perl(IO::Compress::Deflate)
BuildRequires: perl(IO::Compress::Gzip)
BuildRequires: perl(IO::HTML)
BuildRequires: perl(IO::Uncompress::Bunzip2) >= 2.21.0
BuildRequires: perl(IO::Uncompress::Gunzip)
BuildRequires: perl(IO::Uncompress::Inflate)
BuildRequires: perl(IO::Uncompress::RawInflate)
BuildRequires: perl(LWP::MediaTypes) >= 6.0.0
BuildRequires: perl(MIME::Base64) >= 2.100.0
BuildRequires: perl(MIME::QuotedPrint)
BuildRequires: perl(Test::More)
BuildRequires: perl(URI) >= 1.100.0
BuildArch:  noarch

%description
An 'HTTP::Config' object is a list of entries that can be matched against
request or request/response pairs. Its purpose is to hold configuration
data that can be looked up given a request or response object.

Each configuration entry is a hash. Some keys specify matching to occur
against attributes of request/response objects. Other keys can be used to
hold user data.

The following methods are provided:

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 6.110.0-3.mga6
+ Revision: 1028439
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 6.110.0-2.mga6
+ Revision: 970011
- Mageia 6 Mass Rebuild

* Mon Sep 28 2015 sander85 <sander85> 6.110.0-1.mga6
+ Revision: 884633
- update to 6.11

* Mon Jul 20 2015 sander85 <sander85> 6.100.0-1.mga6
+ Revision: 855685
- update to 6.10

* Sun Jul 19 2015 sander85 <sander85> 6.90.0-1.mga6
+ Revision: 855369
- update to 6.09

* Mon Jul 13 2015 sander85 <sander85> 6.80.0-1.mga6
+ Revision: 853565
- update to 6.08

* Wed Oct 15 2014 umeabot <umeabot> 6.60.0-5.mga5
+ Revision: 746362
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 6.60.0-4.mga5
+ Revision: 685005
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 6.60.0-3.mga4
+ Revision: 512158
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 6.60.0-2.mga3
+ Revision: 368295
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 06 2012 jquelin <jquelin> 6.60.0-1.mga3
+ Revision: 315077
- update to 6.06

* Mon Oct 01 2012 jquelin <jquelin> 6.40.0-1.mga3
+ Revision: 301361
- update to 6.04

* Thu Feb 23 2012 jquelin <jquelin> 6.30.0-1.mga2
+ Revision: 212960
- update to 6.03

* Thu Mar 24 2011 jquelin <jquelin> 6.20.0-1.mga1
+ Revision: 76634
- update to 6.02

* Thu Mar 10 2011 jquelin <jquelin> 6.10.0-1.mga1
+ Revision: 67431
- update to 6.01

* Wed Mar 02 2011 jquelin <jquelin> 6.0.0-1.mga1
+ Revision: 62548
- imported package perl-HTTP-Message


* Wed Mar 02 2011 cpan2dist 6.00-1mga
- initial mageia release, generated with cpan2dist
